Loading...
Searching...
No Matches
mongocxx::client_bulk_write::exception Class Reference

`#include <mongocxx/v1/client_bulk_write.hpp>`

## Description

A client bulk write error.

Inherits:
  - mongocxx::v1::exception

## Public Member Functions

bsoncxx::v1::document::view | error_reply () const
| The server reply associated with the error, if any.
bsoncxx::v1::stdx::optional< result > | partial_result () const
| The partial result obtained before the error occurred, if any.
bsoncxx::v1::array::view | write_concern_errors () const
| An array of write concern errors.
bsoncxx::v1::document::view | write_errors () const
| A document mapping model index to the corresponding write error.
Public Member Functions inherited from mongocxx::v1::exception
bool | has_error_label (bsoncxx::v1::stdx::string_view label) const
| Return true if this exception contains the specified error label.

## Member Function Documentation

## error_reply()

bsoncxx::v1::document::view mongocxx::v1::client_bulk_write::exception::error_reply | ( |  | ) | const

The server reply associated with the error, if any.

Returns
  An empty document if no server reply is available.

## partial_result()

bsoncxx::v1::stdx::optional< result > mongocxx::v1::client_bulk_write::exception::partial_result | ( |  | ) | const

The partial result obtained before the error occurred, if any.

Returns
  An empty optional when no operations succeeded before the error.

## write_concern_errors()

bsoncxx::v1::array::view mongocxx::v1::client_bulk_write::exception::write_concern_errors | ( |  | ) | const

An array of write concern errors.

Returns
  An empty array if there are no write concern errors.

## write_errors()

bsoncxx::v1::document::view mongocxx::v1::client_bulk_write::exception::write_errors | ( |  | ) | const

A document mapping model index to the corresponding write error.

Returns
  An empty document if there are no write errors.

The documentation for this class was generated from the following file:

- mongocxx/v1/client_bulk_write.hpp